#include "stdafx.h"
#include "art.h"
#include "datenbank.h"

#include "afxwin.h"
#include <sstream> 
using namespace sql;
using namespace std;

art::art( void)
{
    m_name = " ";
    m_name_latein = " ";
    _gruppe = " ", person_name = " ";
    _artID = 0;
    _anspruch_wasser = 0;
    _anspruch_siedlung = 0;
    _anspruch_wald = 0;
    _monatsviertel1 = 0;
    _monatsviertel2 = 0;
    _monatsviertel3 = 0;
    _monatsviertel4 = 0;
    _monatsviertel5 = 0;
    _monatsviertel6 = 0;
    _monatsviertel7 = 0;
    _monatsviertel8 = 0;
    _monatsviertel9 = 0;
    _monatsviertel10 = 0;
    _monatsviertel11 = 0;
    _monatsviertel12 = 0;
    _monatsviertel13 = 0;
    _monatsviertel14 = 0;
    _monatsviertel15 = 0;
    _monatsviertel16 = 0;
    _monatsviertel17 = 0;
    _monatsviertel18 = 0;
    _monatsviertel19 = 0;
    _monatsviertel20 = 0;
    _monatsviertel21 = 0;
    _monatsviertel22 = 0;
    _monatsviertel23 = 0;
    _monatsviertel24 = 0;
    _monatsviertel25 = 0;
    _monatsviertel26 = 0;
    _monatsviertel27 = 0;
    _monatsviertel28 = 0;
    _monatsviertel29 = 0;
    _monatsviertel30 = 0;
    _monatsviertel31 = 0;
    _monatsviertel32 = 0;
    _monatsviertel33 = 0;
    _monatsviertel34 = 0;
    _monatsviertel35 = 0;
    _monatsviertel36 = 0;
    _monatsviertel37 = 0;
    _monatsviertel38 = 0;
    _monatsviertel39 = 0;
    _monatsviertel40 = 0;
    _monatsviertel41 = 0;
    _monatsviertel42 = 0;
    _monatsviertel43 = 0;
    _monatsviertel44 = 0;
    _monatsviertel45 = 0;
    _monatsviertel46 = 0;
    _monatsviertel47 = 0;
    _monatsviertel48 = 0;
    _monatsviertel_ersatzbrut = 0;
    _ersatzbrut_erfolg = 0;
    _reproduktion_kritisch = 0;
    _reproduktion_gesammt = 0;
    _reproduktion_gesammt2 = 0;
    _hoehe_kurz = 0;
    _hoehe_mittel = 0;
    _hoehe_hoch = 0;
    _feuchte_trocken = 0;
    _feuchte_frisch = 0;
    _feuchte_feucht = 0;
    _ausbreitungsradius = 0;
    _trittmortalitaettyp = 0;

    _brenndoldenauenwiese = 1;
    _pfeifengraswiesen = 1;
    _dotterblumenwiese = 1;
    _flachlanmaehwiese = 1;
    _flachlanmaehwiese_mager = 1;
    _bergmaehwiese = 1;
    _artenreicheborstgrasen = 1;
    _kalktrockenrasen = 1;
    _maehweide = 1;
    _weisskleeweiden = 1;
    _bergweiden = 1;
    _gruenland = 1;
    _gruenland2 = 1;
    _zweitegeneration = 0;
    _zweitegeneration_ende = 0;

    Lebensraumnr = 0;
    _weide = 0;
    _duengung = 0;
    _keineduengung = 0;
    praedation = 1;
}

art::~art( void)
{
}

void art::set_m_name( CString name)
{
    m_name = name;
}

void art::set_m_name_latein( CString name_latein)
{
    m_name_latein = name_latein;
}

void art::set_gruppe( CString gruppe)
{
    _gruppe = gruppe;
}

void art::set_person_name( CString person)
{
    person_name = person;
}

void art::set_anspruch_wasser( double anspruch_wasser)
{
    _anspruch_wasser = anspruch_wasser;
}

void art::set_anspruch_siedlung( double anspruch_siedlung)
{
    _anspruch_siedlung = anspruch_siedlung;
}

void art::set_anspruch_wald( double anspruch_wald)
{
    _anspruch_wald = anspruch_wald;
}

void art::set_neutral( double neutral)
{
    _neutral = neutral;
}

void art::set_foerdernd( double foerdernd)
{
    _foerdernd = foerdernd;
}

void art::set_essentiel( double essentiel)
{
    _essentiel = essentiel;
}

void art::set_monatsviertel1( double monatsviertel1)
{
    _monatsviertel1 = monatsviertel1;
}

void art::set_monatsviertel2( double monatsviertel2)
{
    _monatsviertel2 = monatsviertel2;
}

void art::set_monatsviertel3( double monatsviertel3)
{
    _monatsviertel3 = monatsviertel3;
}

void art::set_monatsviertel4( double monatsviertel4)
{
    _monatsviertel4 = monatsviertel4;
}

void art::set_monatsviertel5( double monatsviertel5)
{
    _monatsviertel5 = monatsviertel5;
}

void art::set_monatsviertel6( double monatsviertel6)
{
    _monatsviertel6 = monatsviertel6;
}

void art::set_monatsviertel7( double monatsviertel7)
{
    _monatsviertel7 = monatsviertel7;
}

void art::set_monatsviertel8( double monatsviertel8)
{
    _monatsviertel8 = monatsviertel8;
}

void art::set_monatsviertel9( double monatsviertel9)
{
    _monatsviertel9 = monatsviertel9;
}

void art::set_monatsviertel10( double monatsviertel10)
{
    _monatsviertel10 = monatsviertel10;
}

void art::set_monatsviertel11( double monatsviertel11)
{
    _monatsviertel11 = monatsviertel11;
}

void art::set_monatsviertel12( double monatsviertel12)
{
    _monatsviertel12 = monatsviertel12;
}

void art::set_monatsviertel13( double monatsviertel13)
{
    _monatsviertel13 = monatsviertel13;
}

void art::set_monatsviertel14( double monatsviertel14)
{
    _monatsviertel14 = monatsviertel14;
}

void art::set_monatsviertel15( double monatsviertel15)
{
    _monatsviertel15 = monatsviertel15;
}

void art::set_monatsviertel16( double monatsviertel16)
{
    _monatsviertel16 = monatsviertel16;
}

void art::set_monatsviertel17( double monatsviertel17)
{
    _monatsviertel17 = monatsviertel17;
}

void art::set_monatsviertel18( double monatsviertel18)
{
    _monatsviertel18 = monatsviertel18;
}

void art::set_monatsviertel19( double monatsviertel19)
{
    _monatsviertel19 = monatsviertel19;
}

void art::set_monatsviertel20( double monatsviertel20)
{
    _monatsviertel20 = monatsviertel20;
}

void art::set_monatsviertel21( double monatsviertel21)
{
    _monatsviertel21 = monatsviertel21;
}

void art::set_monatsviertel22( double monatsviertel22)
{
    _monatsviertel22 = monatsviertel22;
}

void art::set_monatsviertel23( double monatsviertel23)
{
    _monatsviertel23 = monatsviertel23;
}

void art::set_monatsviertel24( double monatsviertel24)
{
    _monatsviertel24 = monatsviertel24;
}

void art::set_monatsviertel25( double monatsviertel25)
{
    _monatsviertel25 = monatsviertel25;
}

void art::set_monatsviertel26( double monatsviertel26)
{
    _monatsviertel26 = monatsviertel26;
}

void art::set_monatsviertel27( double monatsviertel27)
{
    _monatsviertel27 = monatsviertel27;
}

void art::set_monatsviertel28( double monatsviertel28)
{
    _monatsviertel28 = monatsviertel28;
}

void art::set_monatsviertel29( double monatsviertel29)
{
    _monatsviertel29 = monatsviertel29;
}

void art::set_monatsviertel30( double monatsviertel30)
{
    _monatsviertel30 = monatsviertel30;
}

void art::set_monatsviertel31( double monatsviertel31)
{
    _monatsviertel31 = monatsviertel31;
}

void art::set_monatsviertel32( double monatsviertel32)
{
    _monatsviertel32 = monatsviertel32;
}

void art::set_monatsviertel33( double monatsviertel33)
{
    _monatsviertel33 = monatsviertel33;
}

void art::set_monatsviertel34( double monatsviertel34)
{
    _monatsviertel34 = monatsviertel34;
}

void art::set_monatsviertel35( double monatsviertel35)
{
    _monatsviertel35 = monatsviertel35;
}

void art::set_monatsviertel36( double monatsviertel36)
{
    _monatsviertel36 = monatsviertel36;
}

void art::set_monatsviertel37( double monatsviertel37)
{
    _monatsviertel37 = monatsviertel37;
}

void art::set_monatsviertel38( double monatsviertel38)
{
    _monatsviertel38 = monatsviertel38;
}

void art::set_monatsviertel39( double monatsviertel39)
{
    _monatsviertel39 = monatsviertel39;
}

void art::set_monatsviertel40( double monatsviertel40)
{
    _monatsviertel40 = monatsviertel40;
}

void art::set_monatsviertel41( double monatsviertel41)
{
    _monatsviertel41 = monatsviertel41;
}

void art::set_monatsviertel42( double monatsviertel42)
{
    _monatsviertel42 = monatsviertel42;
}

void art::set_monatsviertel43( double monatsviertel43)
{
    _monatsviertel43 = monatsviertel43;
}

void art::set_monatsviertel44( double monatsviertel44)
{
    _monatsviertel44 = monatsviertel44;
}

void art::set_monatsviertel45( double monatsviertel45)
{
    _monatsviertel45 = monatsviertel45;
}

void art::set_monatsviertel46( double monatsviertel46)
{
    _monatsviertel46 = monatsviertel46;
}

void art::set_monatsviertel47( double monatsviertel47)
{
    _monatsviertel47 = monatsviertel47;
}

void art::set_monatsviertel48( double monatsviertel48)
{
    _monatsviertel48 = monatsviertel48;
}

void art::set_monatsviertel_ersatzbrut( int monatsviertel_ersatzbrut)
{
    _monatsviertel_ersatzbrut = monatsviertel_ersatzbrut;
}

void art::set_ersatzbrut_erfolg( double ersatzbrut_erfolg)
{
    _ersatzbrut_erfolg = ersatzbrut_erfolg;
}

void art::set_reproduktion_kritisch( int reproduktion_kritisch)
{
    _reproduktion_kritisch = reproduktion_kritisch;
}

void art::set_reproduktion_gesammt( int reproduktion_gesammt)
{
    _reproduktion_gesammt = reproduktion_gesammt;
}

void art::set_reproduktion_gesammt2( int reproduktion_gesammt2)
{
    _reproduktion_gesammt2 = reproduktion_gesammt2;
}

void art::set_hoehe_kurz( double hoehe_kurz)
{
    _hoehe_kurz = hoehe_kurz;
}

void art::set_hoehe_mittel( double hoehe_mittel)
{
    _hoehe_mittel = hoehe_mittel;
}

void art::set_hoehe_hoch( double hoehe_hoch)
{
    _hoehe_hoch = hoehe_hoch;
}

void art::set_feuchte_trocken( double feuchte_trocken)
{
    _feuchte_trocken = feuchte_trocken;
}

void art::set_feuchte_frisch( double feuchte_frisch)
{
    _feuchte_frisch = feuchte_frisch;
}

void art::set_feuchte_feucht( double feuchte_feucht)
{
    _feuchte_feucht = feuchte_feucht;
}

void art::set_ausbreitungsradius( double ausbreitungsradius)
{
    _ausbreitungsradius = ausbreitungsradius;
}

void art::set_trittmortalitaettyp( int trittmortalitaettyp)
{
    _trittmortalitaettyp = trittmortalitaettyp;
}

void art::set_brenndoldenauenwiese( bool brenndoldenauenwiese)
{
    _brenndoldenauenwiese = brenndoldenauenwiese;
}

void art::set_pfeifengraswiesen( bool pfeifengraswiesen)
{
    _pfeifengraswiesen = pfeifengraswiesen;
}

void art::set_dotterblumenwiese( bool dotterblumenwiese)
{
    _dotterblumenwiese = dotterblumenwiese;
}

void art::set_flachlanmaehwiese( bool flachlanmaehwiese)
{
    _flachlanmaehwiese = flachlanmaehwiese;
}

void art::set_flachlanmaehwiese_mager( bool flachlanmaehwiese_mager)
{
    _flachlanmaehwiese_mager = flachlanmaehwiese_mager;
}

void art::set_bergmaehwiese( bool bergmaehwiese)
{
    _bergmaehwiese = bergmaehwiese;
}

void art::set_artenreicheborstgrasen( bool artenreicheborstgrasen)
{
    _artenreicheborstgrasen = artenreicheborstgrasen;
}

void art::set_kalktrockenrasen( bool kalktrockenrasen)
{
    _kalktrockenrasen = kalktrockenrasen;
}

void art::set_maehweide( bool maehweide)
{
    _maehweide = maehweide;
}

void art::set_weisskleeweiden( bool weisskleeweiden)
{
    _weisskleeweiden = weisskleeweiden;
}

void art::set_bergweiden( bool bergweiden)
{
    _bergweiden = bergweiden;
}

void art::set_gruenland( bool gruenland)
{
    _gruenland = gruenland;
}

void art::set_gruenland2( bool gruenland2)
{
    _gruenland2 = gruenland2;
}

void art::set_zweitegeneration( int zweitegeneration)
{
    _zweitegeneration = zweitegeneration;
}

void art::set_zweitegeneration_ende( int zweitegeneration_ende)
{
    _zweitegeneration_ende = zweitegeneration_ende;
}

void art::set_Lebensraumnr( int lebensraumnr)
{
    Lebensraumnr = lebensraumnr;
}

void art::set_weide( bool weide)
{
    _weide = weide;
}

void art::set_duengung( bool duengung)
{
    _duengung = duengung;
}

void art::set_keineduengung( bool keineduengung)
{
    _keineduengung = keineduengung;
}

void art::set_artID( int artID)
{
    _artID = artID;
}

CString art::get_m_name()
{
    return m_name;
}

CString art::get_m_name_latein()
{
    return m_name_latein;
}

CString art::get_gruppe()
{
    return _gruppe;
}

CString art::get_person_name()
{
    return person_name;
}

double art::get_anspruch_wasser()
{
    return _anspruch_wasser;
}

double art::get_anspruch_siedlung()
{
    return _anspruch_siedlung;
}

double art::get_anspruch_wald()
{
    return _anspruch_wald;
}

double art::get_neutral()
{
    return _neutral;
}

double art::get_foerdernd()
{
    return _foerdernd;
}

double art::get_essentiel()
{
    return _essentiel;
}

double art::get_monatsviertel( int mv)
{
    switch( mv)
    {
        case 1:
            return _monatsviertel1;
        case 2:
            return _monatsviertel2;
        case 3:
            return _monatsviertel3;
        case 4:
            return _monatsviertel4;
        case 5:
            return _monatsviertel5;
        case 6:
            return _monatsviertel6;
        case 7:
            return _monatsviertel7;
        case 8:
            return _monatsviertel8;
        case 9:
            return _monatsviertel9;
        case 10:
            return _monatsviertel10;
        case 11:
            return _monatsviertel11;
        case 12:
            return _monatsviertel12;
        case 13:
            return _monatsviertel13;
        case 14:
            return _monatsviertel14;
        case 15:
            return _monatsviertel15;
        case 16:
            return _monatsviertel16;
        case 17:
            return _monatsviertel17;
        case 18:
            return _monatsviertel18;
        case 19:
            return _monatsviertel19;
        case 20:
            return _monatsviertel20;
        case 21:
            return _monatsviertel21;
        case 22:
            return _monatsviertel22;
        case 23:
            return _monatsviertel23;
        case 24:
            return _monatsviertel24;
        case 25:
            return _monatsviertel25;
        case 26:
            return _monatsviertel26;
        case 27:
            return _monatsviertel27;
        case 28:
            return _monatsviertel28;
        case 29:
            return _monatsviertel29;
        case 30:
            return _monatsviertel30;
        case 31:
            return _monatsviertel31;
        case 32:
            return _monatsviertel32;
        case 33:
            return _monatsviertel33;
        case 34:
            return _monatsviertel34;
        case 35:
            return _monatsviertel35;
        case 36:
            return _monatsviertel36;
        case 37:
            return _monatsviertel37;
        case 38:
            return _monatsviertel38;
        case 39:
            return _monatsviertel39;
        case 40:
            return _monatsviertel40;
        case 41:
            return _monatsviertel41;
        case 42:
            return _monatsviertel42;
        case 43:
            return _monatsviertel43;
        case 44:
            return _monatsviertel44;
        case 45:
            return _monatsviertel45;
        case 46:
            return _monatsviertel46;
        case 47:
            return _monatsviertel47;
        case 48:
            return _monatsviertel48;
    }
}

double art::get_monatsviertel1()
{
    return _monatsviertel1;
}

double art::get_monatsviertel2()
{
    return _monatsviertel2;
}

double art::get_monatsviertel3()
{
    return _monatsviertel3;
}

double art::get_monatsviertel4()
{
    return _monatsviertel4;
}

double art::get_monatsviertel5()
{
    return _monatsviertel5;
}

double art::get_monatsviertel6()
{
    return _monatsviertel6;
}

double art::get_monatsviertel7()
{
    return _monatsviertel7;
}

double art::get_monatsviertel8()
{
    return _monatsviertel8;
}

double art::get_monatsviertel9()
{
    return _monatsviertel9;
}

double art::get_monatsviertel10()
{
    return _monatsviertel10;
}

double art::get_monatsviertel11()
{
    return _monatsviertel11;
}

double art::get_monatsviertel12()
{
    return _monatsviertel12;
}

double art::get_monatsviertel13()
{
    return _monatsviertel13;
}

double art::get_monatsviertel14()
{
    return _monatsviertel14;
}

double art::get_monatsviertel15()
{
    return _monatsviertel15;
}

double art::get_monatsviertel16()
{
    return _monatsviertel16;
}

double art::get_monatsviertel17()
{
    return _monatsviertel17;
}

double art::get_monatsviertel18()
{
    return _monatsviertel18;
}

double art::get_monatsviertel19()
{
    return _monatsviertel19;
}

double art::get_monatsviertel20()
{
    return _monatsviertel20;
}

double art::get_monatsviertel21()
{
    return _monatsviertel21;
}

double art::get_monatsviertel22()
{
    return _monatsviertel22;
}

double art::get_monatsviertel23()
{
    return _monatsviertel23;
}

double art::get_monatsviertel24()
{
    return _monatsviertel24;
}

double art::get_monatsviertel25()
{
    return _monatsviertel25;
}

double art::get_monatsviertel26()
{
    return _monatsviertel26;
}

double art::get_monatsviertel27()
{
    return _monatsviertel27;
}

double art::get_monatsviertel28()
{
    return _monatsviertel28;
}

double art::get_monatsviertel29()
{
    return _monatsviertel29;
}

double art::get_monatsviertel30()
{
    return _monatsviertel30;
}

double art::get_monatsviertel31()
{
    return _monatsviertel31;
}

double art::get_monatsviertel32()
{
    return _monatsviertel32;
}

double art::get_monatsviertel33()
{
    return _monatsviertel33;
}

double art::get_monatsviertel34()
{
    return _monatsviertel34;
}

double art::get_monatsviertel35()
{
    return _monatsviertel35;
}

double art::get_monatsviertel36()
{
    return _monatsviertel36;
}

double art::get_monatsviertel37()
{
    return _monatsviertel37;
}

double art::get_monatsviertel38()
{
    return _monatsviertel38;
}

double art::get_monatsviertel39()
{
    return _monatsviertel39;
}

double art::get_monatsviertel40()
{
    return _monatsviertel40;
}

double art::get_monatsviertel41()
{
    return _monatsviertel41;
}

double art::get_monatsviertel42()
{
    return _monatsviertel42;
}

double art::get_monatsviertel43()
{
    return _monatsviertel43;
}

double art::get_monatsviertel44()
{
    return _monatsviertel44;
}

double art::get_monatsviertel45()
{
    return _monatsviertel45;
}

double art::get_monatsviertel46()
{
    return _monatsviertel46;
}

double art::get_monatsviertel47()
{
    return _monatsviertel47;
}

double art::get_monatsviertel48()
{
    return _monatsviertel48;
}

int art::get_monatsviertel_ersatzbrut()
{
    return _monatsviertel_ersatzbrut;
}

double art::get_ersatzbrut_erfolg()
{
    return _ersatzbrut_erfolg;
}

int art::get_reproduktion_kritisch()
{
    return _reproduktion_kritisch;
}

int art::get_reproduktion_gesammt()
{
    return _reproduktion_gesammt;
}

int art::get_reproduktion_gesammt2()
{
    return _reproduktion_gesammt2;
}

double art::get_hoehe_kurz()
{
    return _hoehe_kurz;
}

double art::get_hoehe_mittel()
{
    return _hoehe_mittel;
}

double art::get_hoehe_hoch()
{
    return _hoehe_hoch;
}

double art::get_feuchte_trocken()
{
    return _feuchte_trocken;
}

double art::get_feuchte_frisch()
{
    return _feuchte_frisch;
}

double art::get_feuchte_feucht()
{
    return _feuchte_feucht;
}

double art::get_ausbreitungsradius()
{
    return _ausbreitungsradius;
}

int art::get_trittmortalitaettyp()
{
    return _trittmortalitaettyp;
}

bool art::get_brenndoldenauenwiese()
{
    return _brenndoldenauenwiese;
}

bool art::get_pfeifengraswiesen()
{
    return _pfeifengraswiesen;
}

bool art::get_dotterblumenwiese()
{
    return _dotterblumenwiese;
}

bool art::get_flachlanmaehwiese()
{
    return _flachlanmaehwiese;
}

bool art::get_flachlanmaehwiese_mager()
{
    return _flachlanmaehwiese_mager;
}

bool art::get_bergmaehwiese()
{
    return _bergmaehwiese;
}

bool art::get_artenreicheborstgrasen()
{
    return _artenreicheborstgrasen;
}

bool art::get_kalktrockenrasen()
{
    return _kalktrockenrasen;
}

bool art::get_maehweide()
{
    return _maehweide;
}

bool art::get_weisskleeweiden()
{
    return _weisskleeweiden;
}

bool art::get_bergweiden()
{
    return _bergweiden;
}

bool art::get_gruenland()
{
    return _gruenland;
}

bool art::get_gruenland2()
{
    return _gruenland2;
}

int art::get_zweitegeneration()
{
    return _zweitegeneration;
}

int art::get_zweitegeneration_ende()
{
    return _zweitegeneration_ende;
}

int art::get_Lebensraumnr()
{
    return Lebensraumnr;
}

bool art::get_weide()
{
    return _weide;
}

bool art::get_duengung()
{
    return _duengung;
}

bool art::get_keineduengung()
{
    return _keineduengung;
}

int art::get_artID()
{
    return _artID;
}

int art::save_art_in_database( art& newart)
{
    datenbank* daten;
    daten = new datenbank();
    int saved = daten->saveart( newart);
    delete daten;
    return saved;
}

art* art::get_art_from_database( string name, string timestamp)
{
    art* d_art;
    d_art = new art;
    datenbank* daten;

    daten = new datenbank();
    //Connection* con = daten->datacon();
    *(d_art) = daten->returnart( "art", "name", "savetime ", name, timestamp);
    delete daten;

    return d_art;
}

bool art::delete_art_from_database( string name, string timestamp)
{
    int Response;

    datenbank daten;

    int updateData = daten.deleteart( name, timestamp);

    return 1;
}